diff --git a/debian/i2p.init b/debian/i2p.init
index c8c34a6a3f5ebc041f0887bc7c51a08c9b19e4d7..d535dbc4496c665e4813e606e0615b4e47e12040 100755
--- a/debian/i2p.init
+++ b/debian/i2p.init
@@ -79,11 +79,11 @@ case "$RUN_DAEMON" in
 esac
 
 # We need the wrapper. If it's not found, abort.
-[ -x $DAEMON ] || exit 1
+[ -x $DAEMON ] || exit 0
 
 # Even though this script doesn't call it, check for i2prouter.  If it's not
 # found, it probably means that the package isn't installed anymore.
-[ -x /usr/bin/i2prouter ] || exit 1
+[ -x /usr/bin/i2prouter ] || exit 0
 
 do_start()
 {